Get Alert Plugin Type With Id
Get the Notification Plugin Type Metadata
Get the Notification Plugin Type Metadata specified by Plugin Type ID
Request
URI
GET
https://{api_host}/suite-api/api/alertplugins/types/{pluginTypeId}
COPY
Path Parameters
string
pluginTypeId
Required
The notification type
Responses
200
The Notification Plugin Metadata specified
Returns
alert-plugin-type
of type(s)
application/json
"{\n \"id\" : \"SNMP Trap\",\n \"description\" : \"a plugin type for SNMP\",\n \"properties\" : [ {\n \"key\" : \"destination_addr\",\n \"dataType\" : \"UNSPECIFIED\",\n \"length\" : 0,\n \"required\" : true,\n \"displayOrder\" : 1,\n \"isDeprecated\" : false\n } ],\n \"rule-properties\" : [ ]\n}"
string
id
Optional
Identifier for the Alert Plugin Type
string
description
Optional
Description for the Alert Plugin Type
array of
object
properties
Optional
List of Alert Plugin Type Properties
array of
object
rule-properties
Optional
List of Notification Rule Properties
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/alertplugins/types/{pluginTypeId}
Alert Plugins Operations
GET
Get Alert Plugins Of Type
PUT
Update Alert Plugin
POST
Create Alert Plugin
PATCH
Patch Alert Plugin
PUT
Modify Alert Plugin State
POST
Test Alert Plugin
GET
Get Alert Plugin Instance
DELETE
Delete Alert Plugin
GET
Get Rules Of Plugin
GET
Get Alert Plugin Types
GET
Get Alert Plugin Type With Id